      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQMDEV                                     **
      **                                                              **
      **  DESCRIPTION:    Message Descriptor Extension Structure      **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1997, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQMDE,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQMDE structure
        10 MQMDE.
      **    Structure identifier
         15 MQMDE-STRUCID        PIC X(4) VALUE 'MDE '.
      **    Structure version number
         15 MQMDE-VERSION        PIC S9(9) BINARY VALUE 2.
      **    Length of MQMDE structure
         15 MQMDE-STRUCLENGTH    PIC S9(9) BINARY VALUE 72.
      **    Numeric encoding of data that follows MQMDE
         15 MQMDE-ENCODING       PIC S9(9) BINARY VALUE 546.
      **    Character-set identifier of data that follows MQMDE
         15 MQMDE-CODEDCHARSETID PIC S9(9) BINARY VALUE 0.
      **    Format name of data that follows MQMDE
         15 MQMDE-FORMAT         PIC X(8) VALUE SPACES.
      **    General flags
         15 MQMDE-FLAGS          PIC S9(9) BINARY VALUE 0.
      **    Group identifier
         15 MQMDE-GROUPID        PIC X(24) VALUE LOW-VALUES.
      **    Sequence number of logical message within group
         15 MQMDE-MSGSEQNUMBER   PIC S9(9) BINARY VALUE 1.
      **    Offset of data in physical message from start of logical
      **    message
         15 MQMDE-OFFSET         PIC S9(9) BINARY VALUE 0.
      **    Message flags
         15 MQMDE-MSGFLAGS       PIC S9(9) BINARY VALUE 0.
      **    Length of original message
         15 MQMDE-ORIGINALLENGTH PIC S9(9) BINARY VALUE -1.
 
      ******************************************************************
      **  End of CMQMDEV                                              **
      ******************************************************************
